---
id: 5d822fd413a79914d39e98cf
title: Step 7
challengeType: 0
dashedName: step-7
---

# --description--

You can see the `body` (it's the inner-most box on your page); the box around it is the `html` element. Make your `body` fill the whole viewport by giving it a `height` of `100vh`. Remove the default `margin` from the `body` by setting the `margin` to `0`. Finally, set the `overflow` property to `hidden` to hide any scroll bars that appear when something extends past the viewport.

# --hints--

You should use the `body` selector.

```js
assert.exists(new __helpers.CSSHelp(document).getStyle('body'));
```

Your `body` should have a `height` of `100vh`.

```js
const bodyStyles = new __helpers.CSSHelp(document).getStyle('body');
assert.equal(bodyStyles?.height, '100vh');
```

Your `body` should have a `margin` of `0`.

```js
// TODO: Editor adds margin as preferential style - 8px is always added.
assert.equal(new __helpers.CSSHelp(document).getStyle('body')?.margin, '0px');
```

Your `body` should have the `overflow` property set to `hidden`.

```js
assert.equal(new __helpers.CSSHelp(document).getStyle('body')?.overflow, 'hidden');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html>    
  <head>
    <title>freeCodeCamp Skyline Project</title>
    <link href="styles.css" rel="stylesheet" type="text/css" />
  </head>

  <body>
  </body>
</html>
```

```css
* {
  border: 1px solid black;
  box-sizing: border-box;
}

--fcc-editable-region--


--fcc-editable-region--
    
```

